cURL
curl --request PUT \
--url https://api.botpress.cloud/v1/chat/conversations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"currentTaskId": "<string>",
"tags": {}
}
'import requests
url = "https://api.botpress.cloud/v1/chat/conversations/{id}"
payload = {
"currentTaskId": "<string>",
"tags": {}
}
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({currentTaskId: '<string>', tags: {}})
};
fetch('https://api.botpress.cloud/v1/chat/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channel": "<string>",
"integration": "<string>",
"tags": {},
"currentTaskId": "<string>",
"currentWorkflowId": "<string>"
}
}{
"conversation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channel": "<string>",
"integration": "<string>",
"tags": {},
"currentTaskId": "<string>",
"currentWorkflowId": "<string>"
}
}updateConversation
Update a Conversation object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PUT
/
v1
/
chat
/
conversations
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Path Parameters
Conversation id
Body
application/json
Conversation data
Tags for the Conversation
Show child attributes
Show child attributes
Response
Returns an updated Conversation object if a valid identifier was provided. Returns an error otherwise
The Conversation object represents an exchange of messages between one or more users. A Conversation is always linked to an integration's channels. For example, a Slack channel represents a conversation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I